<form nz-form [formGroup]='form' style='margin-bottom: 8px'>
  <div nz-row [nzGutter]='[30,30]'>
    <!--    Form tìm kiếm -->

    <!--Đơn vị-->
    <div nz-col nzXs='12' [nzLg]='nzLg'>
      <org-data-picker
        mbLabelText="{{'staffManager.workHisInformation.label.attributes.organization' | translate}}"
        formControlName='organizationId'
        [functionCode]="functionCode"
        [scope]="scope"
      >
      </org-data-picker>
    </div>

    <!--Chức danh-->
    <div nz-col nzXs='12' [nzLg]='nzLg'>
      <mb-select-check-able
        [mbKeyValueStringType]="true"
        mbPlaceholder="{{'staffManager.label.positionName' | translate}}"
        [mbDataSelects]='listPosition'
        (mbEventEmit)="setFormValue($event, 'listPositionId')"
        mbLabelText="{{'staffManager.label.positionName' | translate}}"
        formControlName='listPositionId'></mb-select-check-able>
    </div>

    <!--Tên/Mã/Email-->
    <div nz-col nzXs='12' [nzLg]='nzLg'>
      <mb-input-text formControlName='keySearch' [mbMaxLength]='200'
                     mbPlaceholderText="{{'staffManager.acceptance.keySearch' | translate}}"
                     mbLabelText="{{'staffManager.acceptance.keySearch' | translate}}"></mb-input-text>
    </div>

    <!--Trạng thái làm việc-->
    <div nz-col nzXs='12' [nzLg]='nzLg'>
      <mb-select-check-able formControlName='listEmpStatus'
                            [mbKeyValueStringType]="true"
                            [mbDataSelects]='statusEmployeeList'
                            (mbEventEmit)="setFormValue($event, 'listEmpStatus')"
                            mbPlaceholder="{{'staffManager.recruit.status' | translate }}"
                            mbLabelText="{{'staffManager.recruit.status' | translate}}"></mb-select-check-able>
    </div>

    <!--Tháng/năm-->
    <div nz-col nzXs='12' [nzLg]='nzLg'>
      <mb-date-picker
        formControlName="acceptanceDate"
        mbMode="month"
        [mbFormat]="'MM/yyyy'"
        mbLabelText="{{'staffManager.acceptance.acceptanceDate' | translate}}"
        mbPlaceholderText="{{'staffManager.acceptance.acceptanceDate' | translate}}"
      ></mb-date-picker>
    </div>

    <!--Trạng thái biên bản-->
    <div nz-col nzXs='12' [nzLg]='nzLg'>
      <mb-select formControlName='uploadStatusCode'
                [mbDataSelects]='uploadStatusList'
                mbPlaceholder="{{'staffManager.acceptance.uploadStatus' | translate }}"
                mbLabelText="{{'staffManager.acceptance.uploadStatus' | translate}}"></mb-select>
    </div>

    <!--    End Form tìm kiếm-->
  </div>
  <div nz-row [nzGutter]='[30,30]'>
    <div nz-col nzXs='24' nzLg='24'>
      <ng-content select='.btn'></ng-content>
    </div>
  </div>
</form>

